## cantor 23.08.1

=== debian/changelog ===
cantor (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:35 +0100

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.13~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.49.0~),
               gettext,
               libanalitza-dev (>= 4:23.08.1~),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.70.0~),
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5newstuff-dev (>= 5.70.0~),
               libkf5parts-dev (>= 5.70.0~),
               libkf5pty-dev (>= 5.70.0~),
               libkf5syntaxhighlighting-dev (>= 5.70.0~),
               libkf5texteditor-dev (>= 5.70.0~),
               libkf5textwidgets-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libpoppler-qt5-dev (>= 0.62.0~),
               libqalculate-dev (>= 3.8.0~),
               libqt5svg5-dev (>= 5.8.0~),
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3-dev,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.8.0~),
               qtwebengine5-dev (>= 5.8.0~),
               r-base-core,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: libcantorlibs28
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: cantor (<< 4:20.12.0-2~)
Breaks: cantor (<< 4:20.12.0-2~)
Description: interface for mathematical applications - shared library
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the shared library for Cantor.
 .
 This package is part of the KDE education module.

Package: libcantor-dev
Architecture: any
Section: libdevel
Depends: libcantorlibs28 (=  ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: interface for mathematical applications - development files
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the development headers for Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (https://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (https://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (https://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (https://qalculate.github.io/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (https://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (https://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (https://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

## cantor 23.08.2

=== debian/changelog ===
cantor (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:23.08.1~),
+               libanalitza-dev (>= 4:23.08.2~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 23.08.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cantor VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.91.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(GenerateExportHeader)
include(FeatureSummary)

set( SharedMimeInfo_MINIMUM_VERSION "1.3" ) #TODO: What is the minimum required version?
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Qt5 5.8.0 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test
    Help
    WebEngine
    WebEngineWidgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n
)

find_package(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)

option(USE_LIBSPECTRE "Use libspectre library" ON)

add_subdirectory(thirdparty)
# Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
set(Discount_FOUND TRUE)

if(NOT WIN32 AND USE_LIBSPECTRE)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "https://www.freedesktop.org/wiki/Software/libspectre/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else()
    set(WITH_EPS Off)
endif()

#[[
find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")
]]#

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
if (NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QVector<QPoint> for instance, unless
    # Qt itself was also built with strict iterators.
    # See example at https://bugreports.qt.io/browse/AUTOSUITE-946
    add_definitions(-DQT_STRICT_ITERATORS)
endif()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

   # both gcc & clang support it since the same version
   if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 5.0.0)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant" )
   endif()
endif()

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")

kde_enable_exceptions()

# FIXME Looks like docbook on Windows don't buildable at all, so it are temporarily disabled
if(NOT WIN32)
    add_subdirectory(doc)
endif(NOT WIN32)
add_subdirectory(src)
add_subdirectory(icons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT CantorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CantorTargets.cmake
    NAMESPACE Cantor::
)


ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cantor (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:58 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:23.08.2~),
+               libanalitza-dev (>= 4:23.08.3~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 23.08.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MICRO "4")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
cantor (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:54 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>= 4:23.08.3~),
+               libanalitza-dev (>= 4:23.08.4~),
                libglib2.0-dev,
                libkf5archive-dev (>= 5.70.0~),
                libkf5completion-dev (>= 5.70.0~),

## cantor 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "4")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
#########################################################################
# Subdirectories
#########################################################################
add_subdirectory(lib)
add_subdirectory(scripteditor)

include_directories( lib ${CMAKE_CURRENT_BINARY_DIR}/lib)
if(BUILD_TESTING)
  include(ECMMarkAsTest)
  include_directories( lib/test )
endif(BUILD_TESTING)

add_subdirectory(backends)
add_subdirectory(assistants)
add_subdirectory(xslt)
add_subdirectory(panelplugins)


#build the config object in a separate library, shared between shell and part
kconfig_add_kcfg_files(config_SRCS settings.kcfgc)
add_library( cantor_config  SHARED ${config_SRCS} )
target_link_libraries( cantor_config  KF5::Parts KF5::NewStuff )
install( TARGETS cantor_config  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

set(cantor_SRCS
   main.cpp
   cantor.cpp
   backendchoosedialog.cpp
)

install(FILES cantor.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(cantor_SRCS settings.ui)
ki18n_wrap_ui(cantor_SRCS formating.ui)
ki18n_wrap_ui(cantor_SRCS backendchooser.ui)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-cantor.png")
ecm_add_app_icon(cantor_SRCS ICONS ${ICONS_SRCS})
add_executable(cantor ${cantor_SRCS})

target_link_libraries(cantor KF5::Parts KF5::NewStuffWidgets KF5::ConfigCore KF5::CoreAddons KF5::ConfigGui
    KF5::Crash KF5::XmlGui Qt5::WebEngine cantorlibs cantor_config)

########### install files ###############
install(TARGETS cantor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.cantor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES cantor_shell.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )
install( FILES cantor.knsrc cantor-documentation.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR} )
install( FILES cantor.xml DESTINATION ${KDE_INSTALL_MIMEDIR} )
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

#########################################################################
# KPART SECTION
#########################################################################

set(cantor_PART_SRCS
   cantor_part.cpp
   worksheet.cpp
   worksheetview.cpp
   worksheetentry.cpp
   worksheettextitem.cpp
   worksheetimageitem.cpp
   commandentry.cpp
   textentry.cpp
   markdownentry.cpp
   pagebreakentry.cpp
   imageentry.cpp
   latexentry.cpp
   placeholderentry.cpp
   horizontalruleentry.cpp
   hierarchyentry.cpp
   worksheetcursor.cpp
   searchbar.cpp
   actionbar.cpp
   worksheettoolbutton.cpp
   imagesettingsdialog.cpp
   scripteditor/scripteditorwidget.cpp
   resultitem.cpp
   textresultitem.cpp
   imageresultitem.cpp
   animationresultitem.cpp
   loadedexpression.cpp
   animation.cpp
   mathrender.cpp
   mathrendertask.cpp
   worksheetcontrolitem.cpp
 )

ki18n_wrap_ui(cantor_PART_SRCS imagesettings.ui)
ki18n_wrap_ui(cantor_PART_SRCS standardsearchbar.ui)
ki18n_wrap_ui(cantor_PART_SRCS extendedsearchbar.ui)

set(PATH_TO_CANTOR_BACKENDS "${KDE_INSTALL_FULL_PLUGINDIR}")

configure_file (config-cantor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor.h )

kcoreaddons_add_plugin(cantorpart
    SOURCES ${cantor_PART_SRCS}
    INSTALL_NAMESPACE "kf5/parts")

target_link_libraries(cantorpart KF5::Parts KF5::NewStuff
                     KF5::TextEditor ${Qt5XmlPatterns_LIBRARIES}
                     KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets
                     Qt5::PrintSupport cantorlibs cantor_config )

# if(Discount_FOUND)
    target_link_libraries(cantorpart Discount::Lib)
# endif(Discount_FOUND)

if(BUILD_TESTING)
  add_subdirectory(test)
endif(BUILD_TESTING)

install( FILES cantor_part.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )
install( FILES cantor_scripteditor.rc  DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/lib/CMakeLists.txt ===
if(LIBSPECTRE_FOUND)
   include_directories(${LIBSPECTRE_INCLUDE_DIR})
endif(LIBSPECTRE_FOUND)

set( cantor_LIB_SRCS
  session.cpp
  expression.cpp
  backend.cpp
  result.cpp
  textresult.cpp
  imageresult.cpp
  mimeresult.cpp
  epsresult.cpp
  latexresult.cpp
  latexrenderer.cpp
  renderer.cpp
  helpresult.cpp
  animationresult.cpp
  htmlresult.cpp
  extension.cpp
  assistant.cpp
  completionobject.cpp
  syntaxhelpobject.cpp
  defaulthighlighter.cpp
  defaultvariablemodel.cpp
  panelplugin.cpp
  panelpluginhandler.cpp
  worksheetaccess.cpp
  directives/plotdirectives.cpp
  jupyterutils.cpp
  graphicpackage.cpp
)

Set( cantor_LIB_HDRS
  cantor_macros.h
  #base classes
  backend.h
  session.h
  expression.h
  extension.h
  syntaxhelpobject.h
  completionobject.h
  #results
  animationresult.h
  epsresult.h
  helpresult.h
  imageresult.h
  latexresult.h
  renderer.h
  result.h
  textresult.h
  mimeresult.h
  htmlresult.h
  #helper classes
  defaulthighlighter.h
  defaultvariablemodel.h
  worksheetaccess.h
  jupyterutils.h
  graphicpackage.h
  # plugin classes
  panelplugin.h
  panelpluginhandler.h
)

ki18n_wrap_ui(cantor_LIB_SRCS directives/axisrange.ui directives/plottitle.ui)

kconfig_add_kcfg_files(cantor_LIB_SRCS settings.kcfgc)
install(FILES cantor_libs.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

configure_file (config-cantorlib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantorlib.h )

add_library( cantorlibs  SHARED ${cantor_LIB_SRCS} )
generate_export_header(cantorlibs BASE_NAME cantor)

kcoreaddons_desktop_to_json(cantorlibs cantor_assistant.desktop DEFAULT_SERVICE_TYPE)
kcoreaddons_desktop_to_json(cantorlibs cantor_backend.desktop DEFAULT_SERVICE_TYPE)
kcoreaddons_desktop_to_json(cantorlibs cantor_panelplugin.desktop DEFAULT_SERVICE_TYPE)

target_link_libraries( cantorlibs
  KF5::Completion
  KF5::IconThemes
  KF5::KIOCore
  KF5::KIOFileWidgets
  KF5::KIOWidgets
  KF5::Archive
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::I18n
  KF5::XmlGui
  ${QT5_LIBRARIES}
  Qt5::Xml
  Qt5::Svg
  Poppler::Qt5
)

if(LIBSPECTRE_FOUND)
    target_link_libraries(cantorlibs ${LIBSPECTRE_LIBRARY})
endif(LIBSPECTRE_FOUND)

set (CANTORLIBS_SOVERSION 28)
set_target_properties( cantorlibs PROPERTIES VERSION ${RELEASE_SERVICE_VERSION} SOVERSION ${CANTORLIBS_SOVERSION})

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    SOVERSION ${CANTORLIBS_SOVERSION}
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/cantorlibs_version.h
)

install( TARGETS cantorlibs EXPORT CantorTargets  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(
  FILES
    ${cantor_LIB_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/cantor_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/cantorlibs_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/cantor
  COMPONENT Devel
)

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

=== src/panelplugins/CMakeLists.txt ===
function(add_panel name)

    kcoreaddons_add_plugin("cantor_${name}"
        SOURCES ${ARGN}
        INSTALL_NAMESPACE "cantor/panels")

    target_link_libraries("cantor_${name}"
    cantorlibs)

endfunction()

add_subdirectory(helppanel)
add_subdirectory(variablemgr)
add_subdirectory(filebrowserpanel)
add_subdirectory(tocpanel)
add_subdirectory(documentationpanel)

=== src/test/CMakeLists.txt ===
set(worksheettest_SRCS
    ../worksheet.cpp
    ../worksheetview.cpp
    ../worksheetentry.cpp
    ../worksheettextitem.cpp
    ../worksheetimageitem.cpp
    ../commandentry.cpp
    ../textentry.cpp
    ../markdownentry.cpp
    ../pagebreakentry.cpp
    ../imageentry.cpp
    ../latexentry.cpp
    ../placeholderentry.cpp
    ../horizontalruleentry.cpp
    ../hierarchyentry.cpp
    ../worksheetcursor.cpp
    ../searchbar.cpp
    ../actionbar.cpp
    ../worksheettoolbutton.cpp
    ../imagesettingsdialog.cpp
    ../scripteditor/scripteditorwidget.cpp
    ../resultitem.cpp
    ../textresultitem.cpp
    ../imageresultitem.cpp
    ../animationresultitem.cpp
    ../loadedexpression.cpp
    ../animation.cpp
    ../mathrender.cpp
    ../mathrendertask.cpp
    ../worksheetcontrolitem.cpp
    worksheet_test.cpp)

ki18n_wrap_ui(worksheettest_SRCS ../imagesettings.ui)
ki18n_wrap_ui(worksheettest_SRCS ../standardsearchbar.ui)
ki18n_wrap_ui(worksheettest_SRCS ../extendedsearchbar.ui)
kconfig_add_kcfg_files(worksheettest_SRCS ../settings.kcfgc)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/data)
configure_file("data/Lecture-2B-Single-Atom-Lasing.ipynb" data COPYONLY)
configure_file("data/AEC.04 - Evolutionary Strategies and Covariance Matrix Adaptation.ipynb" data COPYONLY)
configure_file("data/Population_Genetics.ipynb" data COPYONLY)
configure_file("data/A Reaction-Diffusion Equation Solver in Python with Numpy.ipynb" data COPYONLY)
configure_file("data/Automata and Computability using Jupyter.ipynb" data COPYONLY)
configure_file("data/Cue Combination with Neural Populations .ipynb" data COPYONLY)
configure_file("data/Transformation2D.ipynb" data COPYONLY)
configure_file("data/TestMarkdownAttachment.ipynb" data COPYONLY)
configure_file("data/TestEntryLoad1.ipynb" data COPYONLY)
configure_file("data/TestEntryLoad2.ipynb" data COPYONLY)
configure_file("data/TestResultsLoad.ipynb" data COPYONLY)
configure_file("data/TestNotebookWithJson.ipynb" data COPYONLY)
configure_file("data/TestNotebookWithModJson.ipynb" data COPYONLY)
configure_file("data/EmptyPythonWorksheet.cws" data COPYONLY)
configure_file("data/TestCommandEntryExecutionAction.cws" data COPYONLY)
configure_file("data/TwoCommandEntryWithResults.cws" data COPYONLY)

set(PATH_TO_TEST_NOTEBOOKS ${CMAKE_CURRENT_BINARY_DIR}/data)
configure_file (config-cantor-test.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor-test.h )

add_executable( testworksheet ${worksheettest_SRCS})
#add_test(NAME testworksheet COMMAND testworksheet)
target_link_libraries( testworksheet
    cantorlibs
    cantor_config
    Qt5::Test
    Qt5::PrintSupport
    Qt5::Xml
    ${Qt5XmlPatterns_LIBRARIES}
    KF5::TextEditor
    Poppler::Qt5
)

if(LIBSPECTRE_FOUND)
    target_link_libraries(testworksheet ${LIBSPECTRE_LIBRARY})
endif(LIBSPECTRE_FOUND)
if(Discount_FOUND)
    target_link_libraries(testworksheet Discount::Lib)
endif(Discount_FOUND)

=== src/assistants/advancedplot/CMakeLists.txt ===
set( AdvancedPlotAssistant_SRCS
     advancedplotassistant.cpp
)

ki18n_wrap_ui(AdvancedPlotAssistant_SRCS advancedplotdialog.ui directivecontainer.ui)

add_assistant(advancedplotassistant ${AdvancedPlotAssistant_SRCS})

install(FILES cantor_advancedplot_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor)

=== src/assistants/differentiate/CMakeLists.txt ===
set( DifferentiateAssistant_SRCS
     differentiateassistant.cpp
)

ki18n_wrap_ui(DifferentiateAssistant_SRCS differentiatedlg.ui)

add_assistant(differentiateassistant ${DifferentiateAssistant_SRCS})

install( FILES cantor_differentiate_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/assistants/integrate/CMakeLists.txt ===
set( IntegrateAssistant_SRCS
     integrateassistant.cpp
)

ki18n_wrap_ui(IntegrateAssistant_SRCS integratedlg.ui)

add_assistant(integrateassistant ${IntegrateAssistant_SRCS})

install( FILES cantor_integrate_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/assistants/runscript/CMakeLists.txt ===
set( RunScriptAssistant_SRCS
     runscriptassistant.cpp
)

add_assistant(runscriptassistant ${RunScriptAssistant_SRCS})

target_link_libraries( cantor_runscriptassistant cantorlibs)

install( FILES cantor_runscript_assistant.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/cantor )

=== src/backends/qalculate/CMakeLists.txt ===
add_subdirectory(plotassistant)
project(cantor-qalculate-backend)

add_definitions(${QALCULATE_CFLAGS})
if (QALCULATE_VERSION VERSION_GREATER_EQUAL 3.11.0)
  add_compile_definitions(QALCULATE_NEED_DISABLE_COLOR)
endif()

set( QalculateBackend_SRCS
  qalculatesyntaxhelpobject.cpp
  qalculatebackend.cpp
  qalculatesession.cpp
  qalculatehighlighter.cpp
  qalculateexpression.cpp
  qalculateextensions.cpp
  qalculatecompletionobject.cpp
  qalculateextensions.cpp
  qalculatesettingswidget.cpp
  ../backendsettingswidget.cpp
)

kconfig_add_kcfg_files(QalculateBackend_SRCS settings.kcfgc)
install(FILES qalculatebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(QalculateBackend_SRCS settings.ui)

add_backend(qalculatebackend ${QalculateBackend_SRCS})

if (QALCULATE_VERSION VERSION_LESS 2.0.0)
  target_link_libraries( cantor_qalculatebackend cantorlibs cantor_help ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
else()
  target_link_libraries( cantor_qalculatebackend cantorlibs cantor_help ${QALCULATE_LIBRARIES})
endif()

install( FILES cantor_qalculate.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

=== src/backends/sage/CMakeLists.txt ===
set( SageBackend_SRCS
  sagebackend.cpp
  sagesession.cpp
  sageexpression.cpp
  sageextensions.cpp
  sagekeywords.cpp
  sagehighlighter.cpp
  sagecompletionobject.cpp
  sagesettingswidget.cpp
  ../backendsettingswidget.cpp
)

kconfig_add_kcfg_files(SageBackend_SRCS settings.kcfgc)
install(FILES sagebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(SageBackend_SRCS settings.ui)

add_backend(sagebackend ${SageBackend_SRCS})

target_link_libraries( cantor_sagebackend cantor_help KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testsage testsage.cpp)
  add_test(NAME testsage COMMAND testsage)
  target_link_libraries( testsage
    Qt5::Test
    cantorlibs
    cantortest
  )
endif()

install(FILES cantor_sage.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})

=== thirdparty/discount-2.2.6-patched/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(DISCOUNT C)

get_filename_component(_ROOT "${CMAKE_CURRENT_LIST_DIR}" PATH)

file(READ "${_ROOT}/VERSION" ${PROJECT_NAME}_VERSION)
string(STRIP "${${PROJECT_NAME}_VERSION}" ${PROJECT_NAME}_VERSION)

set(${PROJECT_NAME}_WITH_TABSTOPS "4" CACHE STRING
    "Set tabstops to N characters (default is 4)")
set(TABSTOP "${${PROJECT_NAME}_WITH_TABSTOPS}")

set(${PROJECT_NAME}_MAKE_INSTALL ON CACHE BOOL
    "Set to OFF to disable install rules (default is ON)")

set(${PROJECT_NAME}_INSTALL_SAMPLES OFF CACHE BOOL
    "Set to ON to install sample programs (default is OFF)")

set(${PROJECT_NAME}_ONLY_LIBRARY OFF CACHE BOOL
    "Set to ON to only build markdown library (default is OFF)")

# Check headers
include(CheckIncludeFile)
check_include_file(libgen.h HAVE_LIBGEN_H)
check_include_file(pwd.h HAVE_PWD_H)
check_include_file(alloca.h HAVE_ALLOCA_H)
check_include_file(malloc.h HAVE_MALLOC_H)
check_include_file(sys/stat.h HAVE_STAT)

# Types detection (from configure.inc: AC_SCALAR_TYPES ())
include(CheckTypeSize)
check_type_size("unsigned long" SIZEOF_ULONG BUILTIN_TYPES_ONLY)
check_type_size("unsigned int" SIZEOF_UINT BUILTIN_TYPES_ONLY)
check_type_size("unsigned short" SIZEOF_USHORT BUILTIN_TYPES_ONLY)

if(SIZEOF_ULONG EQUAL 4)
    set(DWORD "unsigned long")
elseif(SIZEOF_UINT EQUAL 4)
    set(DWORD "unsigned int")
else()
    message(FATAL_ERROR "Could not detect DWORD type")
endif()

if(SIZEOF_UINT EQUAL 2)
    set(WORD "unsigned int")
elseif(SIZEOF_USHORT EQUAL 2)
    set(WORD "unsigned short")
else()
    message(FATAL_ERROR "Could not detect WORD type")
endif()

set(BYTE "unsigned char")

# Check symbols
include(CheckSymbolExists)
foreach(_symbol
        bzero
        strcasecmp _stricmp
        strncasecmp _strnicmp)
    string(TOUPPER ${_symbol} _SYMBOL)
    check_symbol_exists(${_symbol} string.h HAVE_${_SYMBOL})
endforeach()
check_symbol_exists(random stdlib.h HAVE_RANDOM)
check_symbol_exists(srandom stdlib.h HAVE_SRANDOM)
check_symbol_exists(getpwuid pwd.h HAVE_GETPWUID)
check_symbol_exists(basename libgen.h HAVE_BASENAME)
check_symbol_exists(fchdir unistd.h HAVE_FCHDIR)
if(HAVE_STAT)
    check_symbol_exists(S_ISCHR sys/stat.h HAVE_S_ISCHR)
    check_symbol_exists(S_ISFIFO sys/stat.h HAVE_S_ISFIFO)
    check_symbol_exists(S_ISSOCK sys/stat.h HAVE_S_ISSOCK)
endif()

if(NOT HAVE_BZERO)
    set(DEFINE_BZERO "#define bzero(p, n) memset(p, 0, n)")
endif()

if(NOT HAVE_STRCASECMP)
    if(HAVE__STRICMP)
        set(DEFINE_STRCASECMP "#define strcasecmp _stricmp")
    else()
        set(DEFINE_STRCASECMP "#error The symbol strcasecmp is not defined.")
    endif()
endif()

if(NOT HAVE_STRNCASECMP)
    if(HAVE__STRNICMP)
        set(DEFINE_STRNCASECMP "#define strncasecmp _strnicmp")
    else()
        set(DEFINE_STRNCASECMP "#error The symbol strncasecmp is not defined.")
    endif()
endif()

if(NOT HAVE_S_ISCHR OR NOT HAVE_S_ISFIFO OR NOT HAVE_S_ISSOCK)
    set(HAVE_STAT "")
endif()

configure_file(config.h.in
    "${_ROOT}/config.h"
    @ONLY)

configure_file("${_ROOT}/version.c.in"
    "${_ROOT}/version.c"
    @ONLY)
set_property(SOURCE "${_ROOT}/version.c" APPEND PROPERTY COMPILE_DEFINITIONS
    BRANCH=""
    VERSION="${${PROJECT_NAME}_VERSION}")

configure_file("${_ROOT}/mkdio.h.in"
    "${_ROOT}/mkdio.h"
    @ONLY)

include_directories("${_ROOT}")

add_executable(mktags
    "${_ROOT}/mktags.c")

add_custom_command(OUTPUT "${_ROOT}/blocktags"
    COMMAND mktags > blocktags
    WORKING_DIRECTORY "${_ROOT}")

add_library(libmarkdown
    "${_ROOT}/mkdio.c"
    "${_ROOT}/markdown.c"
    "${_ROOT}/dumptree.c"
    "${_ROOT}/generate.c"
    "${_ROOT}/resource.c"
    "${_ROOT}/docheader.c"
    "${_ROOT}/version.c"
    "${_ROOT}/toc.c"
    "${_ROOT}/css.c"
    "${_ROOT}/xml.c"
    "${_ROOT}/Csio.c"
    "${_ROOT}/xmlpage.c"
    "${_ROOT}/basename.c"
    "${_ROOT}/emmatch.c"
    "${_ROOT}/github_flavoured.c"
    "${_ROOT}/setup.c"
    "${_ROOT}/blocktags" "${_ROOT}/tags.c"
    "${_ROOT}/html5.c"
    "${_ROOT}/flags.c")

if(NOT MSVC)
    set_target_properties(libmarkdown PROPERTIES
        OUTPUT_NAME markdown)
endif()

if(NOT ${PROJECT_NAME}_ONLY_LIBRARY)
    add_library(common OBJECT
        "${_ROOT}/pgm_options.c"
        "${_ROOT}/gethopt.c")

    add_executable(markdown
        "${_ROOT}/main.c"
        $<TARGET_OBJECTS:common>)

    target_link_libraries(markdown PRIVATE libmarkdown)

    add_executable(mkd2html
        "${_ROOT}/mkd2html.c"
        $<TARGET_OBJECTS:common>
        "${_ROOT}/notspecial.c")

    target_link_libraries(mkd2html PRIVATE libmarkdown)

    add_executable(makepage
        "${_ROOT}/makepage.c"
        $<TARGET_OBJECTS:common>)

    target_link_libraries(makepage PRIVATE libmarkdown)
endif()

if(${PROJECT_NAME}_MAKE_INSTALL)
    string(TOLOWER ${PROJECT_NAME} _PACKAGE_NAME)
    include(GNUInstallDirs)
    if(NOT DEFINED CMAKE_INSTALL_CMAKEDIR)
        set(CMAKE_INSTALL_CMAKEDIR
            "${CMAKE_INSTALL_LIBDIR}/cmake/${_PACKAGE_NAME}"
            CACHE STRING "CMake packages")
    endif()
    install(FILES "${_ROOT}/mkdio.h"
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
    target_include_directories(libmarkdown INTERFACE
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    )
    set(_TARGETS libmarkdown markdown)
    if(${PROJECT_NAME}_INSTALL_SAMPLES)
        list(APPEND _TARGETS mkd2html makepage)
    endif()
    install(TARGETS ${_TARGETS} EXPORT ${_PACKAGE_NAME}-targets
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")
    install(EXPORT ${_PACKAGE_NAME}-targets
        NAMESPACE ${_PACKAGE_NAME}::
        DESTINATION "${CMAKE_INSTALL_CMAKEDIR}")
    include(CMakePackageConfigHelpers)
    write_basic_package_version_file(
      "${CMAKE_CURRENT_BINARY_DIR}/${_PACKAGE_NAME}-config-version.cmake"
      VERSION ${${PROJECT_NAME}_VERSION}
      COMPATIBILITY AnyNewerVersion
    )
    configure_file("${CMAKE_CURRENT_LIST_DIR}/discount-config.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/${_PACKAGE_NAME}-config.cmake"
        @ONLY)
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/${_PACKAGE_NAME}-config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/${_PACKAGE_NAME}-config-version.cmake"
        DESTINATION "${CMAKE_INSTALL_CMAKEDIR}")
    unset(_TARGETS)
    unset(_PACKAGE_NAME)
endif()

unset(_ROOT)

=== debian/changelog ===
cantor (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:29:16 +0000

cantor (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:03:30 +0000

cantor (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:08:29 +0100

cantor (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:28:14 -0700

cantor (4:23.08.4-0ubuntu4) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 02:59:12 -0700

cantor (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 01:46:47 -0700

cantor (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP: 2046844 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Feb 2024 11:36:48 -0700

=== debian/rules ===
#!/usr/bin/make -f

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages) cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_build:
	# manually export CFLAGS with CPPFLAGS during build, because:
	# - ExternalProject is used, so cmake is run to configure discount
	# - cmake doesn't respect CPPFLAGS, see #653916
	CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" dh_auto_build

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

override_dh_auto_install:
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/cantor-apparmor debian/tmp/etc/apparmor.d/usr.bin.cantor
	dh_auto_install
	dh_apparmor --profile-name=usr.bin.cantor -pcantor

## cantor 24.12.0

=== debian/changelog ===
cantor (4:24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:11 +0100

cantor (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:01:33 +0000

cantor (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:19 +0000

cantor (4:24.11.80-0ubuntu2) plucky; urgency=medium

  * Update apparmor profile for Qt6 QtWebEngineProcess path.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Nov 2024 21:15:57 +0000

cantor (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Update build depneds for Qt6 build.
  * Build with dh-sequence-kf6.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Nov 2024 17:53:44 +0000

cantor (4:23.08.5-0ubuntu8) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 11:39:52 -0700

cantor (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Rebuild against latest libqalculate

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:59:35 -0400

cantor (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything for apparmor.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 05:55:14 -0700

cantor (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:20:21 -0700

=== debian/control ===
--- 
+++ 
@@ -7,40 +7,41 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.49.0~),
+               dh-apparmor,
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libanalitza-dev (>= 4:23.08.4~),
-               libglib2.0-dev,
-               libkf5archive-dev (>= 5.70.0~),
-               libkf5completion-dev (>= 5.70.0~),
-               libkf5config-dev (>= 5.70.0~),
-               libkf5coreaddons-dev (>= 5.70.0~),
-               libkf5crash-dev (>= 5.70.0~),
-               libkf5doctools-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5iconthemes-dev (>= 5.70.0~),
-               libkf5kio-dev (>= 5.70.0~),
-               libkf5newstuff-dev (>= 5.70.0~),
-               libkf5parts-dev (>= 5.70.0~),
-               libkf5pty-dev (>= 5.70.0~),
-               libkf5syntaxhighlighting-dev (>= 5.70.0~),
-               libkf5texteditor-dev (>= 5.70.0~),
-               libkf5textwidgets-dev (>= 5.70.0~),
-               libkf5xmlgui-dev (>= 5.70.0~),
-               liblapack3,
+               libanalitza-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.3.0~),
+               libkf6completion-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6crash-dev (>= 6.3.0~),
+               libkf6doctools-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
+               libkf6iconthemes-dev (>= 6.3.0~),
+               libkf6kio-dev (>= 6.3.0~),
+               libkf6newstuff-dev (>= 6.3.0~),
+               libkf6parts-dev (>= 6.3.0~),
+               libkf6syntaxhighlighting-dev (>= 6.3.0~),
+               libkf6texteditor-dev (>= 6.3.0~),
+               libkf6textwidgets-dev (>= 6.3.0~),
+               libkf6xmlgui-dev (>= 6.3.0~),
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
-               libpoppler-qt5-dev (>= 0.62.0~),
-               libqalculate-dev (>= 3.8.0~),
-               libqt5svg5-dev (>= 5.8.0~),
-               libqt5xmlpatterns5-dev (>= 5.8.0~),
+               libpoppler-qt6-dev,
+               libqalculate-dev,
                libspectre-dev,
-               pkg-config,
-               pkg-kde-tools (>> 0.15.15),
+               libxml2-dev,
+               libxslt1-dev,
+               pkgconf,
                python3-dev,
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.8.0~),
-               qtwebengine5-dev (>= 5.8.0~),
+               qt6-5compat-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.5.0~),
+               qt6-tools-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
 Standards-Version: 4.6.0
@@ -62,6 +63,7 @@
           cantor-backend-r,
           cantor-backend-sage,
           cantor-backend-scilab [amd64 arm64 ppc64el s390x],
+          apparmor
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
